Skip to main content
GET
/
v1
/
people
List workforce members
curl --request GET \
  --url https://api.trycomp.ai/v1/people \
  --header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.trycomp.ai/v1/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.trycomp.ai/v1/people"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "data": [
    {
      "id": "mem_abc123def456",
      "organizationId": "org_abc123def456",
      "userId": "usr_abc123def456",
      "role": "admin",
      "createdAt": "2024-01-01T00:00:00Z",
      "department": "it",
      "isActive": true,
      "fleetDmLabelId": 123,
      "user": {
        "id": "usr_abc123def456",
        "name": "John Doe",
        "email": "john.doe@company.com",
        "emailVerified": true,
        "image": "https://example.com/avatar.jpg",
        "createdAt": "2024-01-01T00:00:00Z",
        "updatedAt": "2024-01-15T00:00:00Z",
        "lastLogin": "2024-01-15T12:00:00Z"
      }
    }
  ],
  "count": 1,
  "authType": "api-key",
  "authenticatedUser": {
    "id": "usr_abc123def456",
    "email": "user@company.com"
  }
}
{
"message": "Invalid or expired API key"
}
{
"message": "Organization with ID org_abc123def456 not found"
}
{
"message": "Failed to retrieve members"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

includeDeactivated
string
required
onboardAfter
string
required
onboardBefore
string
required
offboardAfter
string
required
offboardBefore
string
required

Response

People retrieved successfully

data
object[]
count
number

Total number of people

Example:

25

authType
enum<string>

How the request was authenticated

Available options:
api-key,
session
authenticatedUser
object